﻿module Organisations
{
   type Organisation
   {
      Id : Integer32 = AutoNumber();
      Name : Text;
      Owner : Person;
      Employees : Person+;
   } where identity(Id);
   
   type Person
   {
      Id : Integer32 = AutoNumber();
      Name : Text;
      Age : Integer32;
      Sign : StarSign;
   } where identity(Id);
   
   Organisations : Organisation* where item.Owner in People,
                                 item.Employees <= People;
                                 
   People : Person* where item.Sign in StarSigns;
   
   StarSigns : StarSign*
   {
     {Name="Aquarius"},
     {Name="Pisces"},
     {Name="Leo"}
   };
   
   type StarSign
   {
      Id : Integer32 = AutoNumber();
      Name:Text;
   } where identity(Id);
}