﻿namespace WF40Architecture
{
    using System;
    using System.Linq;
    using System.Threading;
    using System.WorkflowModel;
    using System.WorkflowModel.Activities;
    using System.Collections.Generic;

    class Program
    {
        static void Main(string[] args)
        {
            AutoResetEvent syncEvent = new AutoResetEvent(false);

            //WorkflowInstance myInstance = WorkflowInstance.Create(new Sequence1(), new Dictionary<string, object>
            //    {
            //        {"InputMessage", "Hello workflow 4.0"}
            //    });

            WorkflowInstance myInstance = WorkflowInstance.Create(new Sequence2());
            myInstance.Completed += delegate(object sender, WorkflowCompletedEventArgs e) { syncEvent.Set(); };
            myInstance.Idle += delegate { Console.WriteLine("Idled"); };
            myInstance.Resume();

            Console.WriteLine("press enter to resume bookmark");
            Console.ReadLine();

            myInstance.ResumeBookmark("rlBookmark", "");
            syncEvent.WaitOne();

        }
    }
}
